{
  "format_version": 1.16,
  "minecraft:recipe_shaped": {
    "description": {
      "identifier": "tm:broken_egg"
    },
    "tags": [ "kitchen_table" ],
    "pattern": [
     "#K#",
     "#E#",
     "###"
    ],
    "key": {
      "E": {
        "item": "minecraft:egg",
        "data": 0
      },
      "K": {
        "item": "tm:knife",
        "data": 0
      }
    },
    "result": [
      {"item": "tm:broken_egg", 
"count": 1},
      {"item": "tm:knife"}
    ]
  }
}